﻿using System;
using System.Collections.Generic;
using Caliburn.Micro;
using WP7_LiveTileDemo.ViewModels;

namespace WP7_LiveTileDemo
{
    public class WP7Bootstrapper  : PhoneBootstrapper {
        PhoneContainer container;

        protected override void Configure() {
            container = new PhoneContainer(RootFrame);

            container.RegisterPhoneServices();
            container.PerRequest<MainPageViewModel>();
            container.PerRequest<DetailsPageViewModel>();

            AddCustomConventions();
        }

        static void AddCustomConventions() 
        {
        }

        protected override object GetInstance(Type service, string key) {
            return container.GetInstance(service, key);
        }

        protected override IEnumerable<object> GetAllInstances(Type service) {
            return container.GetAllInstances(service);
        }

        protected override void BuildUp(object instance) {
            container.BuildUp(instance);
        }

        protected override void OnUnhandledException(object sender, System.Windows.ApplicationUnhandledExceptionEventArgs e)
        {
            base.OnUnhandledException(sender, e);
        }
    }
}
